> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /google/patents/patents

> Get a patent by its publication number

**Price:** 10 credits

**⚠️ Common errors:** 412: Patent not found



## OpenAPI

````yaml /openapi/research-papers.json post /api/google/patents/patents
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/google/patents/patents:
    post:
      tags:
        - /google/patents
      summary: /google/patents/patents
      description: |-
        Get a patent by its publication number

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Patent not found
      operationId: __api_google_patents_patents_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GooglePatentPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GooglePatent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GooglePatentPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        patent:
          type: string
          minLength: 2
        lang:
          type: string
          maxLength: 5
          minLength: 2
          default: en
      type: object
      required:
        - patent
    GooglePatent:
      properties:
        '@type':
          type: string
          default: GooglePatent
        id:
          type: string
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        pdf_url:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          type: string
          default: ''
        country_name:
          anyOf:
            - type: string
            - type: 'null'
        kind_code:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        inventors:
          items:
            type: string
          type: array
          default: []
        assignee_current:
          items:
            type: string
          type: array
          default: []
        assignee_original:
          items:
            type: string
          type: array
          default: []
        priority_date:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
        grant_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        expiration_date:
          anyOf:
            - type: string
            - type: 'null'
        legal_status:
          anyOf:
            - type: string
            - type: 'null'
        claim_count:
          anyOf:
            - type: integer
            - type: 'null'
        claims:
          anyOf:
            - type: string
            - type: 'null'
        concepts:
          items:
            type: string
          type: array
          default: []
        landscapes:
          items:
            type: string
          type: array
          default: []
        cpc_classifications:
          items:
            $ref: '#/components/schemas/GooglePatentClassification'
          type: array
          default: []
        patent_citations:
          items:
            $ref: '#/components/schemas/GooglePatentCitation'
          type: array
          default: []
        cited_by:
          items:
            $ref: '#/components/schemas/GooglePatentCitation'
          type: array
          default: []
        non_patent_citations:
          items:
            type: string
          type: array
          default: []
        worldwide_applications:
          items:
            $ref: '#/components/schemas/GooglePatentFamilyMember'
          type: array
          default: []
        priority_applications:
          items:
            $ref: '#/components/schemas/GooglePatentPriorityApplication'
          type: array
          default: []
        legal_events:
          items:
            $ref: '#/components/schemas/GooglePatentLegalEvent'
          type: array
          default: []
        events:
          items:
            $ref: '#/components/schemas/GooglePatentEvent'
          type: array
          default: []
        similar_documents:
          items:
            $ref: '#/components/schemas/GooglePatentSimilarDocument'
          type: array
          default: []
        external_links:
          items:
            $ref: '#/components/schemas/GooglePatentLink'
          type: array
          default: []
        images:
          items:
            $ref: '#/components/schemas/GooglePatentImage'
          type: array
          default: []
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GooglePatentClassification:
      properties:
        '@type':
          type: string
          default: GooglePatentClassification
        code:
          type: string
        is_cpc:
          type: boolean
          default: false
      type: object
      required:
        - code
    GooglePatentCitation:
      properties:
        '@type':
          type: string
          default: GooglePatentCitation
        id:
          type: string
        assignee:
          anyOf:
            - type: string
            - type: 'null'
        priority_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        is_examiner_cited:
          type: boolean
          default: false
      type: object
      required:
        - id
    GooglePatentFamilyMember:
      properties:
        '@type':
          type: string
          default: GooglePatentFamilyMember
        id:
          type: string
        country_code:
          type: string
          default: ''
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
        legal_status:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    GooglePatentPriorityApplication:
      properties:
        '@type':
          type: string
          default: GooglePatentPriorityApplication
        id:
          type: string
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        priority_date:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    GooglePatentLegalEvent:
      properties:
        '@type':
          type: string
          default: GooglePatentLegalEvent
        date:
          anyOf:
            - type: string
            - type: 'null'
        code:
          anyOf:
            - type: string
            - type: 'null'
        attributes:
          additionalProperties:
            type: string
          type: object
          default: {}
      type: object
    GooglePatentEvent:
      properties:
        '@type':
          type: string
          default: GooglePatentEvent
        date:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    GooglePatentSimilarDocument:
      properties:
        '@type':
          type: string
          default: GooglePatentSimilarDocument
        id:
          type: string
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        is_patent:
          type: boolean
          default: false
      type: object
      required:
        - id
    GooglePatentLink:
      properties:
        '@type':
          type: string
          default: GooglePatentLink
        id:
          type: string
        url:
          type: string
      type: object
      required:
        - id
        - url
    GooglePatentImage:
      properties:
        '@type':
          type: string
          default: GooglePatentImage
        thumbnail:
          type: string
        full:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - thumbnail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````